#include "UiBubble.h"

UiBubble::UiBubble()
{
	ani.png = L"ui";
	int size = Random(0, 3);
	switch (size)
	{
	default:
	case 0:
		ani.sprite_index = L"bubble_size0";
		break;
	case 1:
		ani.sprite_index = L"bubble_size1";
		break;
	case 2:
		ani.sprite_index = L"bubble_size2";
		break;
	case 3:
		ani.sprite_index = L"bubble_size3";
		break;
	}
	vy = Random(2, 5) * -0.1f;
}

void UiBubble::Step()
{
	if (x < -16 || y < -16)
		inUsing = false;
	Entity::Step();
}
